Subject: Re: [PATCH v2 5/6] tests: remove duplicate .gitmodules path

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Feb 2023 15:35:19 -0800

Calvin Wan <[email-masked]> writes:

> Swapping `git add <submodule>` to `git submodule add <submodule>`
> in a previous patch created a .gitmodules file with multiple
> submodules pointing to the same path in certain tests. Fix tests
> so that they are run on the original added submodule rather than
> a separate manually configured submodule.

Doesn't "git submodule add" have a way to give a specific name other
than the default taken from the path?  If "git add sub" is converted
to "git submodule add --name subname ./sub", wouldn't these changes
become unnecessary?